cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration

## Class ADT_A02

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A02

-     public final class ADT_A02
      extends Message

  ADT_A02 - Transfer a Patient (Event A02). This event is use when the patient changes his or her assigned physical location.

  Represents a ADT_A02 message structure (see chapter 3.2.2). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  6. ARV (Access Restrictions) MULTIPLE_OPTIONAL
  7: ROL (Role Segment) MULTIPLE_OPTIONAL
  8: PV1 (Patient Visit Segment) SINGLE_COMPULSARY
  9: PV2 (Patient Visit - Additional Information Segment) SINGLE_OPTIONAL
  10: ARV (Access Restrictions) MULTIPLE_OPTIONAL
  11: ROL (Role Segment) MULTIPLE_OPTIONAL
  12: DB1 (Disability Segment) MULTIPLE_OPTIONAL
  13: OBX (Observation/Result Segment) MULTIPLE_OPTIONAL
  14: PDA (Patient Death and Autopsy Segment) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  ADT_A02 objA02 = (ADT_A02)MessageFactory.createInstance().createSendSupportedMessage("ADT", "A02");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDisabilityInformationSegment(DB1 objDB1)` Adds Disability Information(DB1) to this message.
    `void` | `addDisabilityInformationSegment(ISingleCollection<DB1> objDB1SegmentCollection)` Adds collection of Disability Information(DB1) to this message.
    `void` | `addObservationOrResultSegment(ISingleCollection<OBX> objOBXSegmentCollection)` Adds collection of Observation Or Result(OBX) to this message.
    `void` | `addObservationOrResultSegment(OBX objOBX)` Adds Observation Or Result(OBX) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ARV objARV)` Adds Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)` Adds collection of Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationAccessVisitSegment(ISingleCollection<ARV> objARVSegmentCollection)` Adds collection of Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)` Adds collection of Role Segments(ROL) to this message.
    `void` | `addPatientIdentificationRoleSegment(ROL objROL)` Adds Role Segment(ROL) to this message.
    `void` | `addPatientVisitAccessRestrictionsSegment(ARV objARV)` Adds Access Restrictions(ARV) to this message.
    `void` | `addPatientVisitRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)` Adds collection of Role Segments(ROL) to this message.
    `void` | `addPatientVisitRoleSegment(ROL objROL)` Adds Role Segment(ROL) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `PD1` | `getAdditinalDemographicsSegment()` Retrieves Additinal Demographics segment(PD1) present in this message.
    `ISingleCollection<DB1>` | `getDisabilityInformationSegments()` Retrieves Collection of Disability Information(DB1) present in this message.
    `EVN` | `getEventTypeSegment()` Retrieves Event Type(EVN) segment present in this message
    `ISingleCollection<OBX>` | `getObservationOrResultSegments()` Retrieves Collection of Observation Or Result(OBX) present in this message.
    `PDA` | `getPatientDeathandAutopsySegment()` Retrieves Patient Death and Autopsy segment(PDA) present in this message.
    `ISingleCollection<ARV>` | `getPatientIdentificationAccessRestrictionsSegments()` Retrieves Collection of Access Restrictions(ARV) present in this message.
    `ISingleCollection<ROL>` | `getPatientIdentificationRoleSegments()` Retrieves Collection of Role Segment(ROL) present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `ISingleCollection<ARV>` | `getPatientVisitAccessRestrictionsSegments()` Retrieves Collection of Access Restrictions(ARV) present in this message.
    `PV2` | `getPatientVisitAdditionalInfoSegment()` Retrieves Patient Visit Additional Info(PV2) segment present in this message.
    `ISingleCollection<ROL>` | `getPatientVisitRoleSegments()` Retrieves Collection of Role Segment(ROL) present in this message.
    `PV1` | `getPatientVisitSegment()` Retrieves Patient Visit(PV1) segment present in this message
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setAdditinalDemographicsSegment(PD1 objPD1)` Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
    `void` | `setEventTypeSegment(EVN objEVN)` Sets value of Event Type segment for this message,overwrites if already present.
    `void` | `setPatientDeathandAutopsySegment(PDA objPDA)` Sets value of Patient Death and Autopsy segment(PDA) for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setPatientVisitAdditionalInfoSegment(PV2 objPV2)` Sets value of Patient Visit Additional Info(PV2) segment for this message,overwrites if already present.
    `void` | `setPatientVisitSegment(PV1 objPV1)` Sets value of Patient Visit segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT)to be added in message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEventTypeSegment

          public EVN getEventTypeSegment()

      Retrieves Event Type(EVN) segment present in this message
      Returns:
        EVN - the EVN Segment present in this message or null if unavailable.

    - #### setEventTypeSegment

          public void setEventTypeSegment(EVN objEVN)

      Sets value of Event Type segment for this message,overwrites if already present.
      Parameters:
        `objEVN` - Specified EVN Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getAdditinalDemographicsSegment

          public PD1 getAdditinalDemographicsSegment()

      Retrieves Additinal Demographics segment(PD1) present in this message.
      Returns:
        PD1 - the Additinal Demographics(PD1) Segment. present in this message or null if unavailable.

    - #### setAdditinalDemographicsSegment

          public void setAdditinalDemographicsSegment(PD1 objPD1)

      Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
      Parameters:
        `objPD1` - Specified Additinal Demographics(PD1) Segment.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ARV objARV)

      Adds Access Restrictions(ARV) to this message.
      Parameters:
        `objARV` - Specified Access Restrictions Segment to be added in message.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)

      Adds collection of Access Restrictions(ARV) to this message.
      Parameters:
        `objARVSegmentCollection` - Collection of Access Restrictions(ARV) to add in this message

    - #### getPatientIdentificationAccessRestrictionsSegments

          public ISingleCollection<ARV> getPatientIdentificationAccessRestrictionsSegments()

      Retrieves Collection of Access Restrictions(ARV) present in this message.
      Returns:
        ISingleCollection - Collection of Access Restrictions(ARV) present in this message.

    - #### addPatientIdentificationRoleSegment

          public void addPatientIdentificationRoleSegment(ROL objROL)

      Adds Role Segment(ROL) to this message.
      Parameters:
        `objROL` - Specified Role Segment to be added in message.

    - #### addPatientIdentificationRoleSegment

          public void addPatientIdentificationRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)

      Adds collection of Role Segments(ROL) to this message.
      Parameters:
        `objROLSegmentCollection` - Collection of Role Segment(ROL) to add in this message

    - #### getPatientIdentificationRoleSegments

          public ISingleCollection<ROL> getPatientIdentificationRoleSegments()

      Retrieves Collection of Role Segment(ROL) present in this message.
      Returns:
        ISingleCollection - Collection of Role Segment(ROL) present in this message.

    - #### getPatientVisitSegment

          public PV1 getPatientVisitSegment()

      Retrieves Patient Visit(PV1) segment present in this message
      Returns:
        PV1 - the PV1 Segment present in this message or null if unavailable.

    - #### setPatientVisitSegment

          public void setPatientVisitSegment(PV1 objPV1)

      Sets value of Patient Visit segment for this message,overwrites if already present.
      Parameters:
        `objPV1` - Specified PV1 Segment

    - #### getPatientVisitAdditionalInfoSegment

          public PV2 getPatientVisitAdditionalInfoSegment()

      Retrieves Patient Visit Additional Info(PV2) segment present in this message.
      Returns:
        PV2 - the Patient Visit Additional Info(PV2) Segment present in this message or null if unavailable.

    - #### setPatientVisitAdditionalInfoSegment

          public void setPatientVisitAdditionalInfoSegment(PV2 objPV2)

      Sets value of Patient Visit Additional Info(PV2) segment for this message,overwrites if already present.
      Parameters:
        `objPV2` - Specified PV2 Segment

    - #### addPatientVisitAccessRestrictionsSegment

          public void addPatientVisitAccessRestrictionsSegment(ARV objARV)

      Adds Access Restrictions(ARV) to this message.
      Parameters:
        `objARV` - Specified Access Restrictions Segment to be added in message.

    - #### addPatientIdentificationAccessVisitSegment

          public void addPatientIdentificationAccessVisitSegment(ISingleCollection<ARV> objARVSegmentCollection)

      Adds collection of Access Restrictions(ARV) to this message.
      Parameters:
        `objARVSegmentCollection` - Collection of Access Restrictions(ARV) to add in this message

    - #### getPatientVisitAccessRestrictionsSegments

          public ISingleCollection<ARV> getPatientVisitAccessRestrictionsSegments()

      Retrieves Collection of Access Restrictions(ARV) present in this message.
      Returns:
        ISingleCollection - Collection of Access Restrictions(ARV) present in this message.

    - #### addPatientVisitRoleSegment

          public void addPatientVisitRoleSegment(ROL objROL)

      Adds Role Segment(ROL) to this message.
      Parameters:
        `objROL` - Specified Role Segment to be added in message.

    - #### addPatientVisitRoleSegment

          public void addPatientVisitRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)

      Adds collection of Role Segments(ROL) to this message.
      Parameters:
        `objROLSegmentCollection` - Collection of Role Segment(ROL) to add in this message

    - #### getPatientVisitRoleSegments

          public ISingleCollection<ROL> getPatientVisitRoleSegments()

      Retrieves Collection of Role Segment(ROL) present in this message.
      Returns:
        ISingleCollection - Collection of Role Segment(ROL) present in this message.

    - #### addDisabilityInformationSegment

          public void addDisabilityInformationSegment(DB1 objDB1)

      Adds Disability Information(DB1) to this message.
      Parameters:
        `objDB1` - Specified Disability Information Segment to be added in message.

    - #### addDisabilityInformationSegment

          public void addDisabilityInformationSegment(ISingleCollection<DB1> objDB1SegmentCollection)

      Adds collection of Disability Information(DB1) to this message.
      Parameters:
        `objDB1SegmentCollection` - Collection of Disability Information(DB1) to add in this message

    - #### getDisabilityInformationSegments

          public ISingleCollection<DB1> getDisabilityInformationSegments()

      Retrieves Collection of Disability Information(DB1) present in this message.
      Returns:
        ISingleCollection - Collection of Disability Information(DB1) present in this message.

    - #### addObservationOrResultSegment

          public void addObservationOrResultSegment(OBX objOBX)

      Adds Observation Or Result(OBX) to this message.
      Parameters:
        `objOBX` - Specified Observation Or Result Segment to be added in message.

    - #### addObservationOrResultSegment

          public void addObservationOrResultSegment(ISingleCollection<OBX> objOBXSegmentCollection)

      Adds collection of Observation Or Result(OBX) to this message.
      Parameters:
        `objOBXSegmentCollection` - Collection of Observation Or Result(OBX) to add in this message

    - #### getObservationOrResultSegments

          public ISingleCollection<OBX> getObservationOrResultSegments()

      Retrieves Collection of Observation Or Result(OBX) present in this message.
      Returns:
        ISingleCollection - Collection of Observation Or Result(OBX) present in this message.

    - #### getPatientDeathandAutopsySegment

          public PDA getPatientDeathandAutopsySegment()

      Retrieves Patient Death and Autopsy segment(PDA) present in this message.
      Returns:
        PDA - the Patient Death and Autopsy(PDA) Segment. present in this message or null if unavailable.

    - #### setPatientDeathandAutopsySegment

          public void setPatientDeathandAutopsySegment(PDA objPDA)

      Sets value of Patient Death and Autopsy segment(PDA) for this message,overwrites if already present.
      Parameters:
        `objPDA` - Specified Patient Death and Autopsy(PDA) Segment.